'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _iconNg = require('icon-ng');

var _mobx = require('mobx');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mobxReact = require('mobx-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _mobx.useStrict)(true);

var _state = (0, _mobx.observable)({
  isClosed: []
});

var _size = 5;
while (_size--) {
  _state.isClosed.push(true);
}

var Sidenav = {
  toggleButtonState: (0, _mobx.action)(function (id) {
    _state.isClosed[id] = !_state.isClosed[id];
  }),
  Button: (0, _mobxReact.observer)(function (_ref) {
    var _ref$buttonSize = _ref.buttonSize,
        buttonSize = _ref$buttonSize === undefined ? 30 : _ref$buttonSize,
        buttonPositionClass = _ref.buttonPositionClass,
        _ref$menuPositionClas = _ref.menuPositionClass,
        menuPositionClass = _ref$menuPositionClas === undefined ? 'left' : _ref$menuPositionClas,
        _ref$iconOpen = _ref.iconOpen,
        iconOpen = _ref$iconOpen === undefined ? _react2.default.createElement(_iconNg.Hamburger, { size: buttonSize }) : _ref$iconOpen,
        _ref$iconClose = _ref.iconClose,
        iconClose = _ref$iconClose === undefined ? _react2.default.createElement(_iconNg.Close, { size: buttonSize }) : _ref$iconClose,
        _ref$id = _ref.id,
        id = _ref$id === undefined ? 0 : _ref$id,
        children = _ref.children;

    var icon = _state.isClosed[id] ? iconOpen : iconClose;

    var buttonClass = 'icon';
    buttonClass += buttonPositionClass ? ' ' + buttonPositionClass : '';
    buttonClass += !_state.isClosed[id] ? ' inline' : '';

    var menuClass = _state.isClosed[id] ? 'closed' : 'open';
    menuClass += menuPositionClass ? ' ' + menuPositionClass : '';

    return _react2.default.createElement(
      'div',
      {
        className: 'jsx-3598851948'
      },
      _react2.default.createElement(
        'div',
        { onClick: function onClick() {
            return Sidenav.toggleButtonState(id);
          }, className: 'jsx-3598851948' + ' ' + (buttonClass || '')
        },
        icon
      ),
      _react2.default.createElement(
        'div',
        {
          className: 'jsx-3598851948' + ' ' + (menuClass || '')
        },
        children
      ),
      _react2.default.createElement(_style2.default, {
        styleId: '3598851948',
        css: '.jsx-3598851948{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;display:inline;}.closed.jsx-3598851948{display:none;}.open.jsx-3598851948{position:fixed;z-index:9998;background-color:seashell;padding-left:10px;height:100%;min-width:140px;width:20%;}.icon.jsx-3598851948{margin:3px 10px;z-index:9999;cursor:pointer;}.icon.fixed.jsx-3598851948{position:fixed;}.icon.inline.jsx-3598851948{position:fixed;}.bottom.jsx-3598851948{bottom:20px;}.left.jsx-3598851948{left:0px;}.right.jsx-3598851948{right:0px;}'
      })
    );
  }),
  Divider: function Divider() {
    return _react2.default.createElement(
      'div',
      {
        className: 'jsx-3636536621'
      },
      _react2.default.createElement('hr', {
        className: 'jsx-3636536621'
      }),
      _react2.default.createElement(_style2.default, {
        styleId: '3636536621',
        css: ''
      })
    );
  },
  Item: function Item(_ref2) {
    var children = _ref2.children;
    return _react2.default.createElement(
      'a',
      {
        className: 'jsx-3120321393'
      },
      children,
      _react2.default.createElement(_style2.default, {
        styleId: '3120321393',
        css: '.jsx-3120321393{padding:8px 8px 8px 30px;text-decoration:none;color:#818181;display:block;-webkit-transition:0.3s;transition:0.3s;cursor:pointer;}.jsx-3120321393:hover,.jsx-3120321393:focus{color:#f1f1f1;}'
      })
    );
  },
  Title: function Title(_ref3) {
    var children = _ref3.children;
    return _react2.default.createElement(
      'p',
      {
        className: 'jsx-3490710689'
      },
      children,
      _react2.default.createElement(_style2.default, {
        styleId: '3490710689',
        css: '.jsx-3490710689{cursor:default;margin-top:60px;margin-left:10px;font-size:1.6em;font-weight:bold;text-transform:uppercase;}'
      })
    );
  }
};

exports.default = Sidenav;