import { addDecorator, storiesOf } from '@storybook/react'
import { boolean, date, number, text, withKnobs } from '@storybook/addon-knobs'

import React from 'react'
import Sidenav from './index'

const Story = storiesOf('Sidenav', module)
Story.addDecorator(withKnobs)
Story.add('default', () => {
  return (
    <div>
      <Sidenav.Button
        id={1}
        iconPosition=""
        menuPosition="right"
        animation={boolean('animation', true)}
        fullWidth={boolean('fullWidth', false)}
        opacity={boolean('opacity', false)}
        overlay={boolean('overlay', true)}
      >
        <Sidenav.Title>Profile</Sidenav.Title>
        <Sidenav.Item><b>About</b></Sidenav.Item>
        <Sidenav.Item>Services</Sidenav.Item>
        <Sidenav.Item>Clients</Sidenav.Item>
      </Sidenav.Button>
      <Sidenav.Button
        id={2}
        iconPosition="bottom"
        menuPosition="left"
      >
        <Sidenav.Title>tEST</Sidenav.Title>
        <Sidenav.Item><b>2</b></Sidenav.Item>
        <Sidenav.Item>Services</Sidenav.Item>
        <Sidenav.Item>Clients</Sidenav.Item>
      </Sidenav.Button>
    </div>
  )
})

export default Story